summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--bifrost/playbooks/roles/bifrost-create-vm-nodes/templates/testvm.xml.j262
-rwxr-xr-xxci/config/pinned-versions2
-rwxr-xr-xxci/nfvi/osa/nfvi-deploy.sh12
3 files changed, 7 insertions, 69 deletions
diff --git a/bifrost/playbooks/roles/bifrost-create-vm-nodes/templates/testvm.xml.j2 b/bifrost/playbooks/roles/bifrost-create-vm-nodes/templates/testvm.xml.j2
deleted file mode 100644
index 15a99bfc..00000000
--- a/bifrost/playbooks/roles/bifrost-create-vm-nodes/templates/testvm.xml.j2
+++ /dev/null
@@ -1,62 +0,0 @@
-<domain type='{{ test_vm_domain_type }}'>
- <name>{{ vm_name }}</name>
- <memory unit='MiB'>{{ test_vm_memory_size }}</memory>
- <vcpu>{{ test_vm_cpu_count }}</vcpu>
- <os>
- <type arch='{{ test_vm_arch }}' machine='{{ test_vm_machine }}'>hvm</type>
- <boot dev='network'/>
- <bootmenu enable='no'/>
- <bios useserial='yes' rebootTimeout='10000'/>
- </os>
- <features>
- <acpi/>
- <apic/>
- <pae/>
- </features>
- <cpu mode='{{ test_vm_cpu }}'>
- <model fallback='allow'/>
- </cpu>
- <clock offset='utc'/>
- <on_poweroff>destroy</on_poweroff>
- <on_reboot>restart</on_reboot>
- <on_crash>restart</on_crash>
- <devices>
- <emulator>{{ test_vm_emulator }}</emulator>
- <disk type='file' device='disk'>
- <driver name='qemu' type='qcow2' cache='{{ test_vm_disk_cache }}'/>
- <source file='{{ vm_volume_path }}'/>
- <target dev='vda' bus='virtio'/>
- <address type='pci' domain='0x0000' bus='0x00' slot='0x06' function='0x0'/>
- </disk>
- <controller type='ide' index='0'>
- <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x1'/>
- </controller>
- <interface type='network'>
- <source network='{{ test_vm_network }}'/>
- </interface>
- <input type='mouse' bus='ps2'/>
- <graphics type='vnc' port='-1' autoport='yes'/>
- <video>
- <model type='cirrus' vram='9216' heads='1'/>
- <address type='pci' domain='0x0000' bus='0x00' slot='0x02' function='0x0'/>
- </video>
- <serial type='file'>
- <source path='{{ vm_log_file }}'/>
- <target port='0'/>
- <alias name='serial0'/>
- </serial>
- <serial type='pty'>
- <source path='/dev/pts/49'/>
- <target port='1'/>
- <alias name='serial1'/>
- </serial>
- <console type='file'>
- <source path='{{ vm_log_file }}'/>
- <target type='serial' port='0'/>
- <alias name='serial0'/>
- </console>
- <memballoon model='virtio'>
- <address type='pci' domain='0x0000' bus='0x00' slot='0x07' function='0x0'/>
- </memballoon>
- </devices>
-</domain>
diff --git a/xci/config/pinned-versions b/xci/config/pinned-versions
index 608c3cc8..023c9999 100755
--- a/xci/config/pinned-versions
+++ b/xci/config/pinned-versions
@@ -26,6 +26,6 @@
# use releng-xci from master until the development work with the sandbox is complete
export OPNFV_RELENG_VERSION="master"
# HEAD of bifrost "master" as of 11.12.2017
-export OPENSTACK_BIFROST_VERSION=${OPENSTACK_BIFROST_VERSION:-"bd7e99bf7a00e4c9ad7d03d752d7251e3caf8509"}
+export OPENSTACK_BIFROST_VERSION=${OPENSTACK_BIFROST_VERSION:-"8b4c956bf0ec6c1784e41af2a0598cb49c41461f"}
# HEAD of osa "master" as of 11.12.2017
export OPENSTACK_OSA_VERSION=${OPENSTACK_OSA_VERSION:-"7b3aac28a0a87e5966527829f6b0abcbc2303cc7"}
diff --git a/xci/nfvi/osa/nfvi-deploy.sh b/xci/nfvi/osa/nfvi-deploy.sh
index c074adde..c4419de6 100755
--- a/xci/nfvi/osa/nfvi-deploy.sh
+++ b/xci/nfvi/osa/nfvi-deploy.sh
@@ -90,7 +90,7 @@ fi
#-------------------------------------------------------------------------------
echo "Info: Setting up target hosts for openstack-ansible"
echo "-----------------------------------------------------------------------"
-ssh root@$OPNFV_HOST_IP "openstack-ansible ${XCI_ANSIBLE_VERBOSITY} \
+ssh root@$OPNFV_HOST_IP "set -o pipefail; openstack-ansible ${XCI_ANSIBLE_VERBOSITY} \
releng-xci/.cache/repos/openstack-ansible/playbooks/setup-hosts.yml | tee setup-hosts.log "
scp root@$OPNFV_HOST_IP:~/setup-hosts.log $LOG_PATH/setup-hosts.log
echo "-----------------------------------------------------------------------"
@@ -111,7 +111,7 @@ echo "Info: Set up target hosts for openstack-ansible successfuly"
#-------------------------------------------------------------------------------
echo "Info: Gathering facts"
echo "-----------------------------------------------------------------------"
-ssh root@$OPNFV_HOST_IP "cd releng-xci/.cache/repos/openstack-ansible/playbooks; \
+ssh root@$OPNFV_HOST_IP "set -o pipefail; cd releng-xci/.cache/repos/openstack-ansible/playbooks; \
ansible ${XCI_ANSIBLE_VERBOSITY} -m setup -a gather_subset=network,hardware,virtual all"
echo "-----------------------------------------------------------------------"
@@ -123,7 +123,7 @@ echo "-----------------------------------------------------------------------"
echo "Info: Setting up infrastructure"
echo "-----------------------------------------------------------------------"
echo "xci: running ansible playbook setup-infrastructure.yml"
-ssh root@$OPNFV_HOST_IP "openstack-ansible ${XCI_ANSIBLE_VERBOSITY} \
+ssh root@$OPNFV_HOST_IP "set -o pipefail; openstack-ansible ${XCI_ANSIBLE_VERBOSITY} \
releng-xci/.cache/repos/openstack-ansible/playbooks/setup-infrastructure.yml | tee setup-infrastructure.log"
scp root@$OPNFV_HOST_IP:~/setup-infrastructure.log $LOG_PATH/setup-infrastructure.log
echo "-----------------------------------------------------------------------"
@@ -140,12 +140,12 @@ echo "Info: Verifying database cluster"
echo "-----------------------------------------------------------------------"
# Apply SUSE fix until https://review.openstack.org/508154 is merged
if [[ ${OS_FAMILY,,} == "suse" ]]; then
- ssh root@$OPNFV_HOST_IP "ansible --ssh-extra-args='-o StrictHostKeyChecking=no' \
+ ssh root@$OPNFV_HOST_IP "set -o pipefail; ansible --ssh-extra-args='-o StrictHostKeyChecking=no' \
-i releng-xci/.cache/repos/openstack-ansible/playbooks/inventory/ galera_container -m shell \
-a \"sed -i \\\"s@/var/run/mysqld/mysqld.sock@/var/run/mysql/mysql.sock@\\\" /etc/my.cnf\""
fi
-ssh root@$OPNFV_HOST_IP "ansible --ssh-extra-args='-o StrictHostKeyChecking=no' \
+ssh root@$OPNFV_HOST_IP "set -o pipefail; ansible --ssh-extra-args='-o StrictHostKeyChecking=no' \
-i releng-xci/.cache/repos/openstack-ansible/playbooks/inventory/ galera_container -m shell \
-a \"mysql -h localhost -e \\\"show status like '%wsrep_cluster_%';\\\"\" | tee galera.log"
scp root@$OPNFV_HOST_IP:~/galera.log $LOG_PATH/galera.log
@@ -164,7 +164,7 @@ echo "Info: Database cluster verification successful!"
#-------------------------------------------------------------------------------
echo "Info: Installing OpenStack on target hosts"
echo "-----------------------------------------------------------------------"
-ssh root@$OPNFV_HOST_IP "openstack-ansible ${XCI_ANSIBLE_VERBOSITY} \
+ssh root@$OPNFV_HOST_IP "set -o pipefail; openstack-ansible ${XCI_ANSIBLE_VERBOSITY} \
releng-xci/.cache/repos/openstack-ansible/playbooks/setup-openstack.yml | tee opnfv-setup-openstack.log"
scp root@$OPNFV_HOST_IP:~/opnfv-setup-openstack.log $LOG_PATH/opnfv-setup-openstack.log
echo "-----------------------------------------------------------------------"